Subject: Re: Mozilla version control requirements and git

From: Jakub Narebski <[email-masked]>
Date: Sun, 03 Sep 2006 11:17:13 +0200

Jon Smirl wrote:

>> Oh, and "partial tree pulls for localisers". Perhaps git-cvsserver can
>> help there? Localisers can just use TortoiseCVS and get a checkout of
>> the language pack subdir.
> 
> Partial repo pulls and an issue to. The mozilla repo has much more
> than a browser in it, it also has a large mail/news program. A partial
> repo pull may not be what is needed for git, instead git needs a
> partial repo checkout.

Or better support for subprojects.

I think you can fake subproject support using separate repositories
for subprojects, in the directory matching the one in the whole project,
and the project repository, where we pull/push subprojects into.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git

-- 
VGER BF report: U 0.877495